Subject: Re: [bug#37519] [PATCH v22/2] gnu: add iwd.

From: [email-masked] <[email-masked]>
Date: Mon, 30 Sep 2019 16:50:55 +0200

On 29 September, 2019 23:01 CEST, Ludovic Courtès <[email-masked]> wrote: 
 
> I didn’t know about the add_key(2) syscall, but looking at the man page,
> it seems that the “asymmetric” type is not supported (but EBADMSG is not
> documented either…).

It was missing the kernel module pkcs8_key_parser, as explained in src/pkcs8.conf. Since we can't load it at build time, I disabled the test. Following is the content of src/pkcs8.conf:

--8<---------------cut here---------------start------------->8---
 # When distributions use CONFIG_PKCS8_PRIVATE_KEY_PARSER=m kernel option,
# using keyctl(2) will fail for loading PKCS#8 private keys since there is
# no automatic module loading for key type parsers.  This entry ensures
# that the kernel module pkcs8_key_parser.ko is loaded at boot time.
--8<---------------cut here---------------end--------------->8---
-- 
bricewge ~ 8929 BBC5 73CD 9206 3DDD  979D 3D36 CAA0 116F 0F99